CopyFilesAndFormatAsCpp (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.project.core.processes.CopyFilesAndFormatAsCpp class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.project.core.processes
Class CopyFilesAndFormatAsCpp

    java.lang.Object
      com.nokia.carbide.templatewizard.process.AbstractProcess
          com.nokia.carbide.templatewizard.process.AbstractProjectProcess
              com.nokia.carbide.templatewizard.processes.CopyFiles
                  com.nokia.carbide.cpp.project.core.processes.CopyFilesAndFormatAsCpp

All Implemented Interfaces:
  IProcess

Direct Known Subclasses:
  CopyFilesAndUpdateSymbianOSProjectFiles

    public class CopyFilesAndFormatAsCpp

extends CopyFiles

Copy files and format per CDT tab policy

Field Summary

Fields inherited from class com.nokia.carbide.templatewizard.processes.CopyFiles
`baseSourceUrl, FILE_PARAMETER, LOWER_SUFFIX, OVERWRITE_ATTRIBUTE, project, SOURCE_PATH_ATTRIBUTE, SUBSTITUTE_ATTRIBUTE, TARGET_PATH_ATTRIBUTE, templateValues, TITLE_SUFFIX, TITLELOWER_SUFFIX, UPPER_SUFFIX`

Fields inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`projectParameter`

Constructor Summary
`CopyFilesAndFormatAsCpp()`

Method Summary
`protected Plugin` | `getPlugin()` Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.
`java.lang.String` | `postProcessContent(java.lang.String input)`

Methods inherited from class com.nokia.carbide.templatewizard.processes.CopyFiles
`copyFile, init, process`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProjectProcess
`getProjectName`

Methods inherited from class com.nokia.carbide.templatewizard.process.AbstractProcess
`fail, fail, failIfFalse, failIfNull, findParameterByName, getProcessName, getRequiredAttributeFromParameter, getRequiredParameterByName, mustRunInUIThread, setRunInUIThread`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyFilesAndFormatAsCpp

    public CopyFilesAndFormatAsCpp()

Method Detail

### postProcessContent

    public java.lang.String postProcessContent(java.lang.String input)

  Overrides:
    `postProcessContent` in class `CopyFiles`
  Parameters:
    `input` - the content of the file after all replacements made
  Returns:
    the input after any post-processing

### getPlugin

    protected Plugin getPlugin()

  Description copied from class: `AbstractProcess`
  Must be implemented by subclasses to provide the `Plugin` needed to construct a `CoreException`.

  Overrides:
    `getPlugin` in class `CopyFiles`
  Returns:
    `org.eclipse.core.runtime.Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD